Page Contents ×

This page gives some details on what hardware and operating systems are required for V-Ray to work properly.

Windows


Please make sure that your system fulfills these requirements before installing V-Ray. Note that V-Ray is only supported for 64 bit operating systems and 64 bit versions of Maya.

Processor

Intel1 64, AMD64 or compatible processor with SSE4.2 support

RAM

4 GB RAM and 4 GB swap minimum – recommended 8 GB or more RAM, 8 GB or more swap file;

(Actual amount required will vary with scene requirements.)

USB PortRequired for customers using legacy hardware lock, preferably USB 2.0
TCP/IPOnly IPv4 required for distributed rendering is supported. IPv6 is currently not supported
GPU Acceleration

NVIDIA CUDA: Maxwell-, Pascal-, Volta-, Turing- and Ampere-based NVIDIA card(s) with with latest recommended video driver;

NVIDIA RTX: RTX cards with latest recommended video driver ;

V-Ray Production Denoiser: AMD or NVIDIA GPU supporting OpenCL 1.2;

NVIDIA AI Denoiser: Maxwell, Pascal, Volta, Turing or Ampere-based NVIDIA card with latest recommended video driver

The minimum required compute capability is 5.22 



The following table shows the versions of Autodesk Maya and operating systems on which V-Ray is supported. Note that V-Ray is only supported for 64 bit operating systems and 64 bit versions of Maya.

Version of Maya Supported Operating System
Maya 2019Windows ® 8.1, Windows ® 10 Professional, and Windows® 11
Maya 2020Windows ® 8.1, Windows ® 10 Professional, and Windows® 11
Maya 2022Windows ® 10 Professional and Windows® 11
Maya 2023Windows ® 10 Professional and Windows ® 11

Linux


Please make sure that your system fulfills these requirements before installing V-Ray.

Processor

1st Gen Intel® Core™, AMD64 or compatible processor with SSE4.2 support (x64)

RAM

4 GB RAM and 4 GB swap minimum – recommended 8 GB or more RAM, 8 GB or more swap file

USB PortRequired for hardware lock, preferably USB 2.0
TCP/IPOnly IPv4 is supported. IPv6 is currently not supported
GPU Support

NVIDIA CUDA: Maxwell-, Pascal-, Volta-, Turing- and Ampere-based NVIDIA card(s) with latest recommended video driver;

NVIDIA RTX: RTX cards with latest recommended video driver 

V-Ray Production Denoiser: AMD or NVIDIA GPU supporting OpenCL 1.2; 

NVIDIA AI Denoiser: Maxwell, Pascal, Volta, Turing or Ampere-based NVIDIA card with latest recommended video driver

The minimum required compute capability is 5.21

 

The following table shows the versions of Autodesk Maya and operating systems on which V-Ray is supported. Note that V-Ray is only supported for 64 bit operating systems and 64 bit versions of Maya.

Version of Maya Supported Operating System
Maya 2019Red Hat ®  Enterprise Linux® 6.5 and 7.2 WS, or CentOS 7.2
Maya 2020Red Hat ®  Enterprise Linux® 7.3, 7.4, 7.5, 7.6, 7.7 WS, or CentOS 7.3, 7.4, 7.5, 7.6, 7.7
Maya 2022

Red Hat® Enterprise Linux® 8.2, 7.6-7.9 WS, or CentOS 8.2, 7.6-7.9

Maya 2023Red Hat® Enterprise Linux® 8.2, 7.6-7.9 WS, or CentOS 8.2, 7.6-7.9

macOS


 

Please make sure that your system fulfills these requirements before installing V-Ray.

Processor

1st Gen Intel® Core™ or compatible processor with SSE4.2 support (x64)

RAM

4 GB RAM and 4 GB swap minimum – recommended 8 GB or more RAM, 8 GB or more swap file

USB PortRequired for hardware lock, preferably USB 2.0
TCP/IPOnly IPv4 is supported. IPv6 is currently not supported

 V-Ray GPU works only with C++/CPU devices under macOS. V-Ray GPU can still be used in distributed rendering where a macOS machine runs the CUDA engine on a CPU device together with Windows/Linux machine(s) running CUDA engine on GPU device(s).

 

The following table shows the versions of Autodesk Maya and operating systems on which V-Ray is supported. Note that V-Ray is only supported for 64 bit operating systems and 64 bit versions of Maya. 

Version of Maya

Supported Operating Systems

Maya 2019Apple ® macOS ® 10.14, 10.13, 10.12 and 10.11.x
Maya 2020Apple® macOS® 11.x, 10.15.x, 10.14.x, 10.13.x
Maya 2022

Apple® macOS® 11.x, 10.15.x, 10.14.x, 10.13.x

Maya 2023

Apple® macOS® 12.x, 11.x, 10.15.x, 10.14.x

 

 

* The Autodesk Maya system requirements can be found here page: http://knowledge.autodesk.com/support/maya/troubleshooting/caas/sfdcarticles/sfdcarticles/System-requirements-for-Autodesk-Maya.html

For additional information on hardware, see the Hardware Recommendations article.

Notes


1Windows 11 is required for running Intel Alder Lake processors.
2CUDA compute capability and card reference

  • V-Ray for Maya 2022 supports Python 3 by default. Builds with Python 2 support are available in the stable folder of the nightly server.
  • V-Ray 5 update 1.2 supports MayaUSD 0.8.0 (bundled in Maya 2022), MayaUSD 0.9.0, MayaUSD 0.10.0 (bundled in Maya 2022.1), MayaUSD 0.11.0 (bundled in Maya 2022.2) and MayaUSD 0.12.0.
  • V-Ray 5 update 2 supports MayaUSD 0.13.0 in addition to the previously supported versions.